Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSerial Class Reference
Serial

## Description

Represents Serial output settings.

Inherits kObject.

## Public Member Functions
kStatus | GoSerial_AddSource (GoSerial serial, k32u sourceId)
| Selects the specified source for transmission. More...
kChar * | GoSerial_AsciiCustomDataFormat (GoSerial serial)
| Gets the ASCII protocol output custom data format string. More...
kBool | GoSerial_AsciiCustomFormatEnabled (GoSerial serial)
| Gets the enabled state of the ASCII protocol custom data format. More...
kChar * | GoSerial_AsciiDelimiter (GoSerial serial)
| Gets the ASCII protocol output delimiter string. More...
kChar * | GoSerial_AsciiInvalidValue (GoSerial serial)
| Gets the ASCII protocol output invalid value string. More...
kChar * | GoSerial_AsciiTerminator (GoSerial serial)
| Gets the ASCII protocol output terminator string. More...
kStatus | GoSerial_ClearSources (GoSerial serial)
| Removes all selected sources for the specified output type. More...
kStatus | GoSerial_EnableAsciiCustomFormat (GoSerial serial, kBool enabled)
| Sets the enabled state of the ASCII protocol custom data format. More...
k32u | GoSerial_OptionAt (GoSerial serial, kSize index)
| Gets the source option at the specified index. More...
kSize | GoSerial_OptionCount (GoSerial serial)
| Gets the number of source options. More...
kStatus | GoSerial_RemoveSource (GoSerial serial, kSize index)
| Removes (de-selects) the source at the specified index. More...
k64f | GoSerial_SelcomDataScaleMax (GoSerial serial)
| Gets the Selcom protocol data scale maximum value. More...
k64f | GoSerial_SelcomDataScaleMin (GoSerial serial)
| Gets the Selcom protocol data scale minimum value. More...
GoSelcomFormat | GoSerial_SelcomFormat (GoSerial serial)
| Gets the current Selcom output format. More...
GoSelcomFormat | GoSerial_SelcomFormatOptionAt (GoSerial serial, kSize index)
| Gets the Selcom format option at the specified index. More...
kSize | GoSerial_SelcomFormatOptionCount (GoSerial serial)
| Returns the count of available Selcom protocol output format options. More...
kArrayList | GoSerial_SelcomFormatOptionList (GoSerial serial)
| Gets the list of Selcom format options. More...
k32u | GoSerial_SelcomRate (GoSerial serial)
| Gets the index of the currently selected Selcom output rate. More...
k32u | GoSerial_SelcomRateOptionAt (GoSerial serial, kSize index)
| Gets the Selcom rate option at the specified index. More...
kSize | GoSerial_SelcomRateOptionCount (GoSerial serial)
| Returns the count of available Selcom protocol output rate options. More...
kArrayList | GoSerial_SelcomRateOptionList (GoSerial serial)
| Gets the list of Selcom rate options. More...
kStatus | GoSerial_SetAsciiCustomDataFormat (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output custom data format. More...
kStatus | GoSerial_SetAsciiDelimiter (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output delimiter string. More...
kStatus | GoSerial_SetAsciiInvalidValue (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output invalid value string. More...
kStatus | GoSerial_SetAsciiTerminator (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output terminator string. More...
kStatus | GoSerial_SetSelcomDataScaleMax (GoSerial serial, k64f value)
| Sets the Selcom protocol maximum data scale value. More...
kStatus | GoSerial_SetSelcomDataScaleMin (GoSerial serial, k64f value)
| Sets the Selcom protocol minimum data scale value. More...
kStatus | GoSerial_SetSelcomFormat (GoSerial serial, GoSelcomFormat format)
| Sets the Selcom protocol output format. More...
kStatus | GoSerial_SetSelcomRate (GoSerial serial, k32u rate)
| Sets the Selcom protocol output rate. More...
k32u | GoSerial_SourceAt (GoSerial serial, kSize index)
| Gets the identifier of the selected output source at the specified index. More...
kSize | GoSerial_SourceCount (GoSerial serial)
| Gets the number of sources of the specified output type that are currently selected for transmission. More...

## Member Function Documentation

kStatus GoSerial_AddSource | ( | GoSerial | serial,
|  | k32u | sourceId
| ) |  |

Selects the specified source for transmission.

Parameters

  serial | GoSerial object.
  sourceId | Source identifier.

Returns
  Operation status.

kChar * GoSerial_AsciiCustomDataFormat | ( | GoSerial | serial | ) |

Gets the ASCII protocol output custom data format string.

Parameters

  serial | GoSerial object.

Returns
  A pointer to the string representing the ASCII protocol output invalid value.

kBool GoSerial_AsciiCustomFormatEnabled | ( | GoSerial | serial | ) |

Gets the enabled state of the ASCII protocol custom data format.

Parameters

  serial | GoSerial object.

Returns
  kTRUE if enabled and kFALSE otherwise.

kChar * GoSerial_AsciiDelimiter | ( | GoSerial | serial | ) |

Gets the ASCII protocol output delimiter string.

Parameters

  serial | GoSerial object.

Returns
  A pointer to the string representing the ASCII protocol output delimiter.

kChar * GoSerial_AsciiInvalidValue | ( | GoSerial | serial | ) |

Gets the ASCII protocol output invalid value string.

Parameters

  serial | GoSerial object.

Returns
  A pointer to the string representing the ASCII protocol output invalid value.

kChar * GoSerial_AsciiTerminator | ( | GoSerial | serial | ) |

Gets the ASCII protocol output terminator string.

Parameters

  serial | GoSerial object.

Returns
  A pointer to the terminator representing the ASCII protocol output delimiter.

kStatus GoSerial_ClearSources | ( | GoSerial | serial | ) |

Removes all selected sources for the specified output type.

Parameters

  serial | GoSerial object.

Returns
  Operation status.

kStatus GoSerial_EnableAsciiCustomFormat | ( | GoSerial | serial,
|  | kBool | enabled
| ) |  |

Sets the enabled state of the ASCII protocol custom data format.

Parameters

  serial | GoSerial object.
  enabled | kTRUE to enable and kFALSE to disable.

Returns
  Operation status.

k32u GoSerial_OptionAt | ( | GoSerial | serial,
|  | kSize | index
| ) |  |

Gets the source option at the specified index.

Parameters

  serial | GoSerial object.
  index | Source option index.

Returns
  Source option.

kSize GoSerial_OptionCount | ( | GoSerial | serial | ) |

Gets the number of source options.

Parameters

  serial | GoSerial object.

Returns
  Source option.

kStatus GoSerial_RemoveSource | ( | GoSerial | serial,
|  | kSize | index
| ) |  |

Removes (de-selects) the source at the specified index.

Parameters

  serial | GoSerial object.
  index | Index of the source to be removed.

Returns
  Operation status.

k64f GoSerial_SelcomDataScaleMax | ( | GoSerial | serial | ) |

Gets the Selcom protocol data scale maximum value.

Parameters

  serial | GoSerial object.

Returns
  Maximum data scale value.

k64f GoSerial_SelcomDataScaleMin | ( | GoSerial | serial | ) |

Gets the Selcom protocol data scale minimum value.

Parameters

  serial | GoSerial object.

Returns
  Minimum data scale value.

GoSelcomFormat GoSerial_SelcomFormat | ( | GoSerial | serial | ) |

Gets the current Selcom output format.

Parameters

  serial | GoSerial object.

Returns
  The current Selcom output format.

GoSelcomFormat GoSerial_SelcomFormatOptionAt | ( | GoSerial | serial,
|  | kSize | index
| ) |  |

Gets the Selcom format option at the specified index.

Parameters

  serial | GoSerial object.
  index | Selcom format option index.

Returns
  Selcom format option value.

kSize GoSerial_SelcomFormatOptionCount | ( | GoSerial | serial | ) |

Returns the count of available Selcom protocol output format options.

Parameters

  serial | GoSerial object.

Returns
  The count of available Selcom protocol output format options.

kArrayList GoSerial_SelcomFormatOptionList | ( | GoSerial | serial | ) |

Gets the list of Selcom format options.

Parameters

  serial | GoSerial object.

Returns
  An array list of Selcom format options.

k32u GoSerial_SelcomRate | ( | GoSerial | serial | ) |

Gets the index of the currently selected Selcom output rate.

Parameters

  serial | GoSerial object.

Returns
  An integer corresponding to the current Selcom output rate.

k32u GoSerial_SelcomRateOptionAt | ( | GoSerial | serial,
|  | kSize | index
| ) |  |

Gets the Selcom rate option at the specified index.

Parameters

  serial | GoSerial object.
  index | Selcom rate option index.

Returns
  Selcom rate option value.

kSize GoSerial_SelcomRateOptionCount | ( | GoSerial | serial | ) |

Returns the count of available Selcom protocol output rate options.

Parameters

  serial | GoSerial object.

Returns
  Count of available Selcom protocol output rate options.

kArrayList GoSerial_SelcomRateOptionList | ( | GoSerial | serial | ) |

Gets the list of Selcom rate options.

Parameters

  serial | GoSerial object.

Returns
  An array list of Selcom rate options.

kStatus GoSerial_SetAsciiCustomDataFormat | ( | GoSerial | serial,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output custom data format.

Parameters

  serial | GoSerial object.
  string | A pointer to the string representing the ASCII protocol output custom data format.

Returns
  Operation status.

kStatus GoSerial_SetAsciiDelimiter | ( | GoSerial | serial,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output delimiter string.

Parameters

  serial | GoSerial object.
  string | A pointer to the string representing the ASCII protocol output delimiter.

Returns
  Operation status.

kStatus GoSerial_SetAsciiInvalidValue | ( | GoSerial | serial,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output invalid value string.

Parameters

  serial | GoSerial object.
  string | A pointer to the string representing the ASCII protocol output invalid value.

Returns
  Operation status.

kStatus GoSerial_SetAsciiTerminator | ( | GoSerial | serial,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output terminator string.

Parameters

  serial | GoSerial object.
  string | A pointer to the string representing the ASCII protocol output terminator.

Returns
  Operation status.

kStatus GoSerial_SetSelcomDataScaleMax | ( | GoSerial | serial,
|  | k64f | value
| ) |  |

Sets the Selcom protocol maximum data scale value.

Parameters

  serial | GoSerial object.
  value | Maximum data scale value to set.

Returns
  Operation status.

kStatus GoSerial_SetSelcomDataScaleMin | ( | GoSerial | serial,
|  | k64f | value
| ) |  |

Sets the Selcom protocol minimum data scale value.

Parameters

  serial | GoSerial object.
  value | Minimum data scale value to set.

Returns
  Operation status.

kStatus GoSerial_SetSelcomFormat | ( | GoSerial | serial,
|  | GoSelcomFormat | format
| ) |  |

Sets the Selcom protocol output format.

Parameters

  serial | GoSerial object.
  format | The output format to set.

Returns
  Operation status.

kStatus GoSerial_SetSelcomRate | ( | GoSerial | serial,
|  | k32u | rate
| ) |  |

Sets the Selcom protocol output rate.

Parameters

  serial | GoSerial object.
  rate | The Selcom rate to use.

Returns
  Operation status.

See also
  GoSerial_SelcomRateOptionCount, GoSerial_SelcomRateOptionAt

k32u GoSerial_SourceAt | ( | GoSerial | serial,
|  | kSize | index
| ) |  |

Gets the identifier of the selected output source at the specified index.

Parameters

  serial | GoSerial object.
  index | Selected source index.

Returns
  Source identifier.

kSize GoSerial_SourceCount | ( | GoSerial | serial | ) |

Gets the number of sources of the specified output type that are currently selected for transmission.

Parameters

  serial | GoSerial object.

Returns
  Count of selected sources.

The documentation for this class was generated from the following file:

- Outputs/GoSerial.h